# options.html

The options.html page is shown to the customer when adding a package that requires customisation, such as when you are using [variables](https://creator.tebex.io/variables).&#x20;

### Root Object

<table><thead><tr><th width="326.3333333333333">Variables</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>options.package</code></td><td><a href="#package-object">Package Object</a></td><td>An object containing information about the current package.</td></tr><tr><td><code>options.variables</code></td><td>array[<a href="#variable-object">Variable</a>]</td><td>An array containing the <a href="https://creator.tebex.io/variables">variables</a> the customer needs to select.</td></tr></tbody></table>

### Package Object

<table><thead><tr><th width="305">Variable</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>name</code></td><td>string</td><td>The name of the package.</td></tr><tr><td><code>chooseServer</code></td><td>boolean</td><td>If the package requires the customer to select a <a href="https://creator.tebex.io/game-servers">game server</a>.</td></tr><tr><td><code>customPrice</code></td><td>boolean</td><td>If the package requires the customer to enter how much they want to pay for the package.</td></tr><tr><td><code>category</code></td><td>string</td><td>The category ID of the package.</td></tr><tr><td><code>price</code></td><td>string</td><td>The price of the package.</td></tr></tbody></table>

## Variable Object

<table><thead><tr><th width="308">Variable</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>description</code></td><td>string</td><td>A summary of the description of the variable.</td></tr><tr><td><code>type</code></td><td>string</td><td>Either <code>dropdown</code>, <code>discord_id</code>, or show an input field for freehand input by the customer.</td></tr><tr><td><code>id</code></td><td>string</td><td>The ID of the variable.</td></tr><tr><td><code>options</code></td><td>array[<a href="#variable-option-object">Variable Option</a>]</td><td>If the type is <code>dropdown</code>, we include an array of options the customer should select from.</td></tr><tr><td><code>value</code></td><td>string</td><td>The current value of the variable.</td></tr><tr><td><code>discord_tag</code></td><td>string</td><td>If the variable is type is <code>discord_id</code> and the <code>value</code> is not empty, this will include their discord tag once they have logged in.</td></tr></tbody></table>

### Variable Option Object

<table><thead><tr><th width="277">Variable</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>default</code></td><td>boolean</td><td>If this variable option should be selected by default.</td></tr><tr><td><code>name</code></td><td>string</td><td>The name of the dropdown option.</td></tr><tr><td><code>price</code></td><td>string</td><td>The additional price the customer would pay by selecting this variable option.</td></tr></tbody></table>

### Request Variable

If you'd like access to a variable that is not currently available, [please let us know.](https://forms.monday.com/forms/8cbacdac7c30b725cd4617cbba0e5eeb?r=use1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tebex.io/developers/templates/pages/options.html.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
